Subject: Re: [msysGit] Re: [PATCH] git-gui: offer a list of recent repositories on startup

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 10 Oct 2007 00:40:30 -0400

Steffen Prohaska <[email-masked]> wrote:
> On Oct 9, 2007, at 1:43 PM, Johannes Schindelin wrote:
> >On Mon, 8 Oct 2007, Steffen Prohaska wrote:
> >
> >>commit a483fdd562d6c44d68a998224e0bbb17933b624a
> >>Author: Steffen Prohaska <[email-masked]>
> >>Date:   Mon Oct 8 08:25:47 2007 +0200
> >>
> >>   git-gui: offer a list of recent repositories on startup
> >
> >May I suggest not putting this list into ~/.gitconfig, but rather
> >~/.gitguirc?  It is not really a user-specific git configuration...
> 
> git-gui already stores other options as global variables gui.*.
> (see git-gui/lib/option.tcl). I just added gui.recentrepo. The
> list of recent repos should go to wherever git-gui stores its options.
> 
> Right now this is in ~/.gitconfig, if I understand correctly. Shawn?

Yes, that's correct.

An item on my todo list (see todo branch in git-gui.git) is to move
this into a ~/.gitguiconfig or something like that, but I was going
to keep it as a git-config style file so git-config can be used to
process its contents.

Until that task is complete I'd rather keep all of the "gui" options
in ~/.gitconfig (global) or .git/config (per-repository).  When I
split stuff out to git-gui specific files I'll have to migrate the
entire "gui" section at once.

-- 
Shawn.